# eric3.Preferences.IconsPreviewDialog

Module implementing a dialog to preview the contents of an icon directory.

### Classes

IconsPreviewDialog | Class implementing a dialog to preview the contents of an icon directory.

### Functions

None

## IconsPreviewDialog

Class implementing a dialog to preview the contents of an icon directory.

### Derived from

IconsPreviewForm

### Methods

IconsPreviewDialog | Constructor

### IconsPreviewDialog (Constructor)

IconsPreviewDialog(parent, dirName)

Constructor

parent
  parent widget (QWidget)
dirName
  name of directory to show

Up